## frr 7.6-dev-20210120-02-g44ba9e779

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,8 @@
                python3-dev,
                python3-pytest <!nocheck>,
                python3-sphinx,
-               texinfo (>= 4.7)
+               texinfo (>= 4.7),
+               liblua5.3-dev <pkg.frr.lua>
 Standards-Version: 4.5.0.3
 Homepage: https://www.frrouting.org/
 Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
