=== pathd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. pathd/pathd
%: ALWAYS
	@$(MAKE) -s -C .. pathd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
