=== bgpd/rfp-example/rfptest/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/rfptest/rfptest
%: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/rfptest/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
