=== debian/watch ===
version=4

opts="\
searchmode=plain,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
downloadurlmangle=s&>FRR\s*(\d\S+)\s+Release<&download/frr-$1/frr-$1.tar.xz&,\
filenamemangle=s&>FRR\s*(\d\S+)\s+Release<&frr-$1.tar.xz&,\
" \
https://github.com/FRRouting/frr/releases/ \
	>FRR\s*(\d\S+)\s+Release<
