=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
            Ondřej Surý <ondrej@debian.org>
 Build-Depends: bison,
                chrpath,
-               debhelper (>= 10~) | dh-systemd,
-               debhelper (>= 9.20150101~),
+               debhelper (>= 10~),
                flex,
                gawk,
                install-info,
@@ -16,16 +15,18 @@
                libcap-dev,
                libelf-dev:native,
                libjson-c-dev | libjson0-dev,
-               libpam0g-dev | libpam-dev,
+               libpam0g-dev,
                libpcre2-dev,
+               libprotobuf-c-dev,
                libpython3-dev:native,
                libreadline-dev,
                librtr-dev (>= 0.8.0~) <!pkg.frr.nortrlib>,
                libsnmp-dev,
                libssh-dev <!pkg.frr.nortrlib>,
-               libyang2-dev,
-               lsb-base,
-               pkg-config,
+               libunwind-dev [!alpha !m68k !sparc64 !x32],
+               libyang2-dev (>= 2.1.128),
+               pkgconf,
+               protobuf-c-compiler,
                python3:native,
                python3-dev:native,
                python3-pytest:native <!nocheck>,
@@ -107,6 +108,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Suggests: frr
 Conflicts: quagga-doc
 Description: FRRouting suite - user manual
