=== debian/rules ===
--- 
+++ 
@@ -39,11 +39,9 @@
 	dh $@ -Bbuild --with=sphinxdoc
 
 override_dh_auto_configure:
-	$(shell dpkg-buildflags --export=sh); \
+	$(shell dpkg-buildflags --export=sh); export LIBS="$$LIBS -latomic"; \
 	dh_auto_configure -- \
-		--localstatedir=/var/run/frr \
 		--sbindir=/usr/lib/frr \
-		--sysconfdir=/etc/frr \
 		--with-vtysh-pager=/usr/bin/pager \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr \
 		--with-moduledir=/usr/lib/$(DEB_HOST_MULTIARCH)/frr/modules \
@@ -116,9 +114,8 @@
 endif
 
 override_dh_auto_clean:
-# we generally do NOT want a full distclean since that wipes both
-# debian/changelog and config.version
-	if test -f Makefile; then make redistclean; fi
+	dh_auto_clean
+	-rm -rf tests/.pytest_cache
 	-rm -f debian/frr.init
 	-rm -f debian/frr.service
 	-rm -f debian/frr@.service
